server:
  port: 8088
  address: 0.0.0.0
  servlet:
    context-path: /mailing-server
# Eureka client config
eureka:
  client:
      service-url:
        defaultZone: http://localhost:8081/eureka/
      enabled: false
spring:
  profiles:
    active: dev
  # Uncomment to activate TLS for the dev profile
  #- tls
  # ----------------------------------------
  # DEVTOOLS PROPERTIES
  # ----------------------------------------
  #we use Webpack dev server + BrowserSync for livereload
  devtools:
    livereload:
      enabled: false
      port: 35729
    restart:
      enabled: false
      exclude: META-INF/maven/**,META-INF/resources/**,resources/**,static/**,public/**,templates/**,**/*Test.class,**/*Tests.class,git.properties
    #DATABASE config
  datasource:
#    url: ${JDBC_DATABASE_URL}
#    username: ${JDBC_DATABASE_USERNAME}
#    password: ${JDBC_DATABASE_PASSWORD}
#    url: jdbc:postgresql://ec2-54-159-112-44.compute-1.amazonaws.com:5432/d5231jas82v939?user=umgxdrvfopiiid&password=d27ba593860b5ab0081194eae119b618f8432280e6257df2705fbe7f2c288cb7&sslmode=require
    url: jdbc:mysql://localhost:3306/fidi_mailing_server?serverTimezone=Africa/Douala&useUnicode=true&characterEncoding=utf8&useSSL=false
    password: fidi_root
    username: fidi_root
    driver-class-name: com.mysql.cj.jdbc.Driver
    # driver-class-name: org.
    platform: mysql
    hikari:
      password: ${spring.datasource.password}
      username: ${spring.datasource.username}
      driver-class-name: ${spring.datasource.driver-class-name}
  application:
    name: mailing-server
  mail:
    host: smtp.gmail.com
    username: nivekalara237@gmail.com
    password: nivekaDev001
    properties:
      mail:
        smtp:
          auth: true
          ssl:
            trust: smtp.gmail.com
          starttls:
            required: true
            enable: true
    port: 587
    default-encoding: UTF-8
    protocol: smtp
  quartz:
    job-store-type: jdbc
    jdbc:
      initialize-schema: embedded
      #schema: classpath:quartz_table.sql
    properties:
      org:
        quartz:
          threadPool:
            threadCount: 5

  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL8Dialect
        # dialect: org.hibernate.dialect.PostgreSQL9Dialect
    hibernate:
      ddl-auto: update
    # database-platform: org.hibernate.dialect.PostgreSQL9Dialect
    show-sql: true
  cloud:
    loadbalancer:
      ribbon:
        enabled: false
  servlet:
    multipart:
      enabled: true
      location: ${java.io.tmpdir}
      max-file-size: 258MB
      max-request-size: 1024MB
  main:
    allow-bean-definition-overriding: true
  messages:
    basename: i18n/messages
    encoding: UTF-8
org:
  quartz:
    jobStore:
      driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate

soko:
  api-key: nZJzg1UEJdd6TR1dkuDlXz56WuHdAxWVJe0ShgN238fvMoO8znuslxmnaJpFGsYm
  app-name: "FIDI - Mailing"

mailing:
  max-size-files-upload: 24 # 24Mb
  max-attachments: 16

# LOGGING
logging:
  level:
    com.nivekaa: debug
    com.zaxxer: error
    org.springframework.boot: error
    org.springframework.web: error
    org.springframework.core: error
    org.springframework.transaction: error
    root: error

app:
  base-url: http://fidi.isjetokoss.xyz # never remove or change this variable with its value, that front-end url and not app url